post
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('')/AdjustQty
Adjust the quantity for an existing part.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Adjust Part Quantity
Adjust the quantity for an existing part.
POST /ODataApi/v1/Parts('name')/AdjustQtyEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/AdjustQtyReplace {sitename} with your MVP One site name and {name} with the part name or part ID.
Request body
Send the adjustment details in the request body.
| Field | Type | Required | Description |
|---|---|---|---|
WarehouseID | String | Yes | Warehouse where the part quantity is adjusted. |
StockLocation | String | Yes | Stock location where the part quantity is adjusted. |
Quantity | Decimal | Yes | Quantity to adjust. |
ToAccount | String | No | Account receiving the adjustment. |
FromAccount | String | No | Account used as the source for the adjustment. |
Notes | String | No | Notes for the adjustment transaction. |
TransactionDate | String | Yes | Date of the adjustment transaction. |
Example request
{
"WarehouseID": "MAIN",
"StockLocation": "A-01",
"Quantity": 5,
"ToAccount": "Inventory",
"FromAccount": "Adjustments",
"Notes": "Cycle count adjustment",
"TransactionDate": "2026-06-22"
}Example URL
https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/AdjustQtyResponse
Returns a Boolean value.
trueNotes
- Use this endpoint to adjust the quantity of an existing part.
- The part must already exist before you call this endpoint.
- Use single quotes around the part name or part ID in the URL.
Quantityshould be the adjustment amount.TransactionDateshould use the date format expected by your MVP One environment.
